package com.ruoyi.zzb.zyww.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("JIUZHU_HOSPITAL_APPLY_INFO")
public class ZywwApplyInfo {

    private String applyFormId;
    private String deptName;
    private String deptCode;
    private String name;
    private Integer gender;
    private String idcard;
    private String phone;
    // 入住医院名称
    private String inHospitalName;

    // 住院时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inHospitalTime;

    // 出院时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date outHospitalTime;

    private String diseaseTypeName;
    private String diseaseCode;
    private String diseaseName;
    private String createUserId;
    private String createUserName;
    private String createUserPoliceNo;

    @TableField(fill = FieldFill.INSERT)
    private String approveStatusCode;

    @TableField(fill = FieldFill.INSERT)
    private String approveStatusName;

    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
